Solid Edge FrameworkSupport Type Library
y Property
Description
Sets and returns the y coordinate of the referenced Point2d object.
Property type
Read-write property
Syntax
Visual Basic
Public Property y As Double
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objPoints As solidedgeframeworksupport.Points2d
    Dim objPoint As solidedgeframeworksupport.Point2d
    Dim dblY As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Create Points collection
    Set objPoints = objSheet.Points2d
    'Create Point
    Set objPoint = objPoints.Add(x:=0.25, y:=0.25)
    'get Y.
    dblY = objPoint.y


    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objPoints = Nothing
    Set objPoint = Nothing
End Sub
See Also

Point2d Object  | Point2d Members